std::_Not_fn< _Fn > Class Template Reference

`#include <functional>`

## Public Member Functions

template<typename _Fn2 >
constexpr | _Not_fn (_Fn2 &&__fn, int)
| _Not_fn (_Not_fn &&__fn)=default
| _Not_fn (const _Not_fn &__fn)=default

## Public Attributes

template<typename... _Args>
constexpr decltype(_S_not< __inv_res_t< _Fn &&, _Args... > >()) | operator() (_Args &&... __args) &&noexcept(__is_nothrow_invocable< _Fn &&, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn &&, _Args... > >()))
template<typename... _Args>
constexpr decltype(_S_not< __inv_res_t< _Fn &, _Args... > >()) | operator() (_Args &&... __args) &noexcept(__is_nothrow_invocable< _Fn &, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn &, _Args... > >()))
template<typename... _Args>
constexpr decltype(_S_not< __inv_res_t< _Fn const &&, _Args... > >()) | operator() (_Args &&... __args) const &&noexcept(__is_nothrow_invocable< _Fn const &&, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn const &&, _Args... > >()))
template<typename... _Args>
constexpr decltype(_S_not< __inv_res_t< _Fn const &, _Args... > >()) | operator() (_Args &&... __args) const &noexcept(__is_nothrow_invocable< _Fn const &, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn const &, _Args... > >()))

## Detailed Description

template<typename _Fn>
class std::_Not_fn< _Fn >

Generalized negator.

Definition at line 1014 of file functional.

## Constructor & Destructor Documentation

## _Not_fn()

template<typename _Fn >
template<typename _Fn2 >

constexpr std::_Not_fn< _Fn >::_Not_fn | ( | _Fn2 && | __fn,
|  | int |
| ) |  |

inline constexpr

Definition at line 1026 of file functional.

## Member Data Documentation

## operator() [1/4]

template<typename _Fn >
template<typename... _Args>

constexpr decltype(_S_not< __inv_res_t< _Fn &&, _Args... > >()) std::_Not_fn< _Fn >::operator()(_Args &&... __args) &&noexcept(__is_nothrow_invocable< _Fn &&, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn &&, _Args... > >()))

inline constexpr noexcept

Definition at line 1049 of file functional.

## operator() [2/4]

template<typename _Fn >
template<typename... _Args>

constexpr decltype(_S_not< __inv_res_t< _Fn &, _Args... > >()) std::_Not_fn< _Fn >::operator()(_Args &&... __args) &noexcept(__is_nothrow_invocable< _Fn &, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn &, _Args... > >()))

inline constexpr noexcept

Definition at line 1047 of file functional.

## operator() [3/4]

template<typename _Fn >
template<typename... _Args>

constexpr decltype(_S_not< __inv_res_t< _Fn const &&, _Args... > >()) std::_Not_fn< _Fn >::operator()(_Args &&... __args) const &&noexcept(__is_nothrow_invocable< _Fn const &&, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn const &&, _Args... > >()))

inline constexpr noexcept

Definition at line 1050 of file functional.

## operator() [4/4]

template<typename _Fn >
template<typename... _Args>

constexpr decltype(_S_not< __inv_res_t< _Fn const &, _Args... > >()) std::_Not_fn< _Fn >::operator()(_Args &&... __args) const &noexcept(__is_nothrow_invocable< _Fn const &, _Args... >::value &&noexcept(_S_not< __inv_res_t< _Fn const &, _Args... > >()))

inline constexpr noexcept

Definition at line 1048 of file functional.

The documentation for this class was generated from the following file:

- functional